<?php
namespace App\Http\Controllers\BackEnd;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Prayer_time;
use Illuminate\Support\Facades\Auth;

class PrayerTimeController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function prayer_times_eye($id)
    {
        $affected = Prayer_time::find($id);
        if ($affected->active == 1) {
            $affected->active = 0;
            $affected->save();
            echo ' <i style="color: red;" class="ti-eye"></i>';
        } else {
            $affected->active = 1;
            $affected->save();
            echo '<i class="ti-eye"></i>';
        }
    }



    public function index1()
    {
        $prayer_times = Prayer_time::all();
        return view('back.prayer_times.index1', compact('prayer_times'));
    }

    public function index()
    {
        $prayer_times = Prayer_time::all();
        return view('back.prayer_times.index', compact('prayer_times'));
    }

    public function create1()
    {
        return view('back.prayer_times.create1');
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {


        return view('back.prayer_times.create');

    }
    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $this->validate($request, [
            'name' => 'required|string|unique:prayer_times,name',
            'boycott_companies_id' => 'required',
            'boycott_categories_id' => 'required',
            'pr_code' => 'string|unique:prayer_times,pr_code',
            'qr_code' => 'string|unique:prayer_times,qr_code',
        ]);
        $prayer_times = new Prayer_time();

        $prayer_times->user_id = Auth::user()->id;
        $prayer_times->name = $request->name;
        $prayer_times->boycott_companies_id = $request->boycott_companies_id;
        $prayer_times->boycott_categories_id = $request->boycott_categories_id;
        $prayer_times->details = $request->details;
        $prayer_times->reason_boycott = $request->reason_boycott;
        $prayer_times->name_en = $request->name_en;
        $prayer_times->details_en = $request->details_en;
        $prayer_times->reason_boycott_en = $request->reason_boycott_en;
        $prayer_times->qr_code = $request->qr_code;
        $prayer_times->pr_code = $request->pr_code;
        // $prayer_times->save();

        if ($request['image'] != null)
        $prayer_times->image = $this->storeImage($request['image'], 'images/prayer_times');

        if($prayer_times->save())
            return response()->json(['success'=>$prayer_times]);

            else return response()->json(['error'=>$prayer_times]);
        // $prayer_times->save();


        if( $prayer_times->save()){
            return response()->json(['success'=>$prayer_times]);
        }
        else return response()->json(['error'=>$prayer_times]);

        //  return redirect()->route('prayer_times.index')->with('success', 'لقد تم انشاء الاقسم بنجاح');
    }


    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */


    public function edit($id)
    {
        $prayer_times = Prayer_time::find($id);
        return view('back.prayer_times.edit', compact('prayer_times'));
    }
    public function edit1($id)
    {

        $prayer_times = Prayer_time::find($id);
        return view('back.prayer_times.edit1', compact('prayer_times'));
    }


    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request)
    {
        $this->validate($request, [
           'name' => 'required|string|unique:prayer_times,name,' . $request->id,
           'boycott_companies_id' => 'required',
           'boycott_categories_id' => 'required',
        ]);

        $prayer_times = Prayer_time::find($request->id);

        // $prayer_times->user_id = Auth::user()->id;
        $prayer_times->name = $request->name;
        $prayer_times->boycott_companies_id = $request->boycott_companies_id;
        $prayer_times->boycott_categories_id = $request->boycott_categories_id;
        $prayer_times->details = $request->details;
        $prayer_times->reason_boycott = $request->reason_boycott;

        $prayer_times->name_en = $request->name_en;
        $prayer_times->details_en = $request->details_en;
        $prayer_times->reason_boycott_en = $request->reason_boycott_en;
        $prayer_times->qr_code = $request->qr_code;
        $prayer_times->pr_code = $request->pr_code;
        // $prayer_times->save();


      if ($request['image'] != null)
        $prayer_times->image = $this->updateImage($request['image'], 'images/prayer_times',$prayer_times->image);

        if($prayer_times->save())
            return response()->json(['success'=>$prayer_times]);

            else return response()->json(['error'=>$prayer_times]);


         }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        $imagePath = Prayer_time::find($id);
            $imagePath->delete();
            echo '<p style="color:red"> تم الحذف *  </p>';
    }
}
